Bug 10324 - SqlException:Timeout expired. The timeout period elapsed prior to completion...
Summary: SqlException:Timeout expired. The timeout period elapsed prior to completion...
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: 2.10.x
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-02-15 13:16 UTC by HA
Modified: 2018-02-22 22:36 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description HA 2013-02-15 13:16:44 UTC
Description of Problem:


Steps to reproduce the problem:
1. Start a new console project in MonoDevelop and add code from following sample link http://www.mono-project.com/SQL_Client
2. Run the code and observe the error


Actual Results:
System.Data.SqlClient.SqlException: Timeout expired. The timeout period elapsed prior to completion of the operation or the server is not responding. ---> System.Exception: Timeout expired. The timeout period elapsed prior to completion of the operation or the server is not responding.
  at Mono.Data.Tds.Protocol.TdsComm..ctor (System.String dataSource, Int32 port, Int32 packetSize, Int32 timeout, TdsVersion tdsVersion) [0x00105] in C:\cygwin\tmp\monobuild\build\BUILD\mono-2.10.9\mcs\class\Mono.Data.Tds\Mono.Data.Tds.Protocol\TdsComm.cs:117

  --- End of inner exception stack trace ---

  at System.Data.SqlClient.SqlConnection.Open () [0x00155] in C:\cygwin\tmp\monobuild\build\BUILD\mono-2.10.9\mcs\class\System.Data\System.Data.SqlClient\SqlConnection.cs:554

  at TestSqlConnection.Test.Main (System.String[] args) [0x0000d] in ...\Code\TestSqlConnection\TestSqlConnection\Main.cs:19



Expected Results:
Connection shouldwork

How often does this happen? 
Every single time

Additional Information:
Mono 2.10.9 is set as RunTime
Mono Soft Debugger is set for Debugger in the IDE
Comment 1 Marek Safar 2018-02-22 22:36:05 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.